package com.starbuds.server.service.finance.cloud;

import com.starbuds.server.service.finance.cloud.client.DefaultCloudAccountClient;
import com.starbuds.server.service.finance.cloud.client.CloudAccountClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 云账户客户端
 */
@Configuration
@Slf4j
public class CloudAccountClientManage implements DisposableBean {


    private CloudAccountClient client;

    public CloudAccountClientManage(@Value("${cloudAccount.dealerId}") String dealerId,
                                    @Value("${cloudAccount.brokerId}") String brokerId,
                                    @Value("${cloudAccount.desKey}") String desKey,
                                    @Value("${cloudAccount.appKey}") String appKey) {
        client = new DefaultCloudAccountClient(dealerId, brokerId, desKey, appKey);
    }

    @Override
    public void destroy() throws Exception {
        if (client != null) {
            client = null;
        }
    }

    public CloudAccountClient getClient() {
        return client;
    }
}
