package com.starbuds.server.service.finance.cloud.request;

import cn.hutool.http.Method;
import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.finance.cloud.constant.CloudAccountApi;
import com.starbuds.server.service.finance.cloud.response.CardQueryResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/27 14:28
 * @Description 银⾏卡信息查询接⼝
 */
@Data
public class CardQueryRequest implements CloudAccountRequest<CardQueryResponse> {

    /**
     * 银行卡号
     */
    @JSONField(name = "card_no")
    private String cardNo;
    /**
     * 银⾏名称
     */
    @JSONField(name = "bank_name")
    private String bankName;

    private transient String apiUrl;

    private transient Method method;

    private transient Class<CardQueryResponse> responseClass;


    @Override
    public String getApiUrl() {
        return CloudAccountApi.CARD_QUERY;
    }

    @Override
    public Method getMethod() {
        return Method.GET;
    }

    @Override
    public Class<CardQueryResponse> getResponseClass() {
        return CardQueryResponse.class;
    }
}
