package com.starbuds.server.service.finance.cloud.request;

import cn.hutool.http.Method;
import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.finance.cloud.constant.CloudAccountApi;
import com.starbuds.server.service.finance.cloud.response.VerifyConfirmResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/25 10:49
 * @Description 银⾏卡四要素确认鉴权（上传短信验证码）
 */
@Data
public class VerifyConfirmRequest implements CloudAccountRequest<VerifyConfirmResponse> {

    /**
     * 银⾏卡号
     */
    @JSONField(name = "card_no")
    private String cardNo;
    /**
     * 银⾏身份证号
     */
    @JSONField(name = "id_card")
    private String idCard;
    /**
     * 真实姓名
     */
    @JSONField(name = "real_name")
    private String realName;
    /**
     * 开户预留⼿机号
     */
    private String mobile;
    /**
     * 短信验证码
     */
    private String captcha;
    /**
     * 交易凭证
     */
    private String ref;

    private transient String apiUrl;

    private transient Method method;

    private transient Class<VerifyConfirmResponse> responseClass;

    @Override
    public String getApiUrl() {
        return CloudAccountApi.VERIFY_CONFIRM;
    }

    @Override
    public Method getMethod() {
        return Method.POST;
    }

    @Override
    public Class<VerifyConfirmResponse> getResponseClass() {
        return VerifyConfirmResponse.class;
    }

}
