package com.starbuds.server.service.finance.cloud.request;

import cn.hutool.http.Method;
import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.finance.cloud.constant.CloudAccountApi;
import com.starbuds.server.service.finance.cloud.response.VerifyIdResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/25 10:49
 * @Description 身份证实名验证
 */
@Data
public class VerifyIdRequest implements CloudAccountRequest<VerifyIdResponse> {

    /**
     * 身份证
     */
    @JSONField(name = "id_card")
    private String idCard;
    /**
     * 真实姓名
     */
    @JSONField(name = "real_name")
    private String realName;

    private transient String apiUrl;

    private transient Method method;

    private transient Class<VerifyIdResponse> responseClass;

    @Override
    public String getApiUrl() {
        return CloudAccountApi.VERIFY_ID;
    }

    @Override
    public Method getMethod() {
        return Method.POST;
    }

    @Override
    public Class<VerifyIdResponse> getResponseClass() {
        return VerifyIdResponse.class;
    }

}
