package com.starbuds.server.service.finance.cloud.request;

import cn.hutool.http.Method;
import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.finance.cloud.constant.CloudAccountApi;
import com.starbuds.server.service.finance.cloud.response.VerifyResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/25 10:49
 * @Description 银⾏卡四要素请求鉴权（下发短信验证码）
 */
@Data
public class VerifyRequest implements CloudAccountRequest<VerifyResponse> {

    /**
     * 银⾏卡号
     */
    @JSONField(name = "card_no")
    private String cardNo;
    /**
     * 银⾏身份证号
     */
    @JSONField(name = "id_card")
    private String idCard;
    /**
     * 真实姓名
     */
    @JSONField(name = "real_name")
    private String realName;
    /**
     * 开户预留⼿机号
     */
    private String mobile;

    private transient String apiUrl;

    private transient Method method;

    private transient Class<VerifyResponse> responseClass;

    @Override
    public String getApiUrl() {
        return CloudAccountApi.VERIFY_REQUEST;
    }

    @Override
    public Method getMethod() {
        return Method.POST;
    }

    @Override
    public Class<VerifyResponse> getResponseClass() {
        return VerifyResponse.class;
    }

}
