package com.starbuds.server.service.finance.config;

import com.alibaba.fastjson.JSONObject;
import com.starbuds.server.common.service.data.ReleaseConfigService;
import com.starbuds.server.service.finance.pojo.ApplePayConfigArgs;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

/***
 * @author qinjiang
 * @description apple支付配置
 * @date 2021/11/17
 */
@Component
@Slf4j
public class ApplePayConfig {
    @Reference(version = "1.0.0")
    ReleaseConfigService releaseConfigService;

    public ApplePayConfigArgs getArgs() {
        String strApplePayConfig = releaseConfigService.getReleaseConfig("applePay");
        if (StringUtils.isBlank(strApplePayConfig)) {
            return null;
        }

        return JSONObject.parseObject(strApplePayConfig, ApplePayConfigArgs.class);
    }
}
