package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.AgentWalletDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/17
 */
@Mapper
@Repository
public interface AgentWalletDAO {

    /**
     * 创建钱包
     *
     * @param agentWalletDO
     * @return
     */
    int insert(AgentWalletDO agentWalletDO);

    /**
     * 根据 id 查询
     *
     * @param agentId
     * @return
     */
    AgentWalletDO selectById(@Param("agentId") Long agentId);

    /**
     * CAS 更新余额
     *
     * @param agentId
     * @param balance
     * @param whereVersion
     * @return
     */
    int updateCas(@Param("agentId") Long agentId, @Param("balance") BigDecimal balance, @Param("whereVersion") Long whereVersion);
}
