package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.AgentWalletHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/17
 */
@Mapper
@Repository
public interface AgentWalletHisDAO {
    /**
     * 创建钱包变动记录
     *
     * @param agentWalletHisDO
     * @return
     */
    int insert(AgentWalletHisDO agentWalletHisDO);

    /**
     * 查询钱包历史记录
     *
     * @param agentId
     * @param lastId
     * @param pageSize
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    List<AgentWalletHisDO> selectAll(@Param("agentId") Long agentId,
                                     @Param("lastId") Long lastId,
                                     @Param("pageSize") int pageSize,
                                     @Param("isIncome") Integer isIncome,
                                     @Param("beginTime") Long beginTime,
                                     @Param("endTime") Long endTime);

    /**
     * 求和
     *
     * @param agentId
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    BigDecimal sumByTypeAndTime(@Param("agentId") Long agentId, @Param("isIncome") Integer isIncome, @Param("beginTime") Long beginTime, @Param("endTime") Long endTime);
}
