package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.finance.CaiyuContractDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 财鱼用户签约合同 Mapper
 */
@Mapper
@Repository
public interface CaiyuContractDAO {

    /**
     * 插入数据
     */
    int insert(CaiyuContractDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<CaiyuContractDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(CaiyuContractDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    CaiyuContractDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    CaiyuContractDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<CaiyuContractDO> selectPageList(QueryWrapper qw);

}