package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.ChannelWalletHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/17
 */
@Mapper
@Repository
public interface ChannelWalletHisDAO {
    /**
     * 创建钱包变动记录
     *
     * @param channelWalletHisDO
     * @return
     */
    int insert(ChannelWalletHisDO channelWalletHisDO);

    /**
     * 查询钱包历史记录
     *
     * @param walletId
     * @param lastId
     * @param pageSize
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    List<ChannelWalletHisDO> selectAll(@Param("walletId") String walletId,
                                       @Param("lastId") Long lastId,
                                       @Param("pageSize") int pageSize,
                                       @Param("isIncome") Integer isIncome,
                                       @Param("beginTime") Long beginTime,
                                       @Param("endTime") Long endTime);

    /**
     * 求和
     *
     * @param walletId
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    Long sumByTypeAndTime(@Param("walletId") String walletId, @Param("isIncome") Integer isIncome, @Param("beginTime") Long beginTime, @Param("endTime") Long endTime);
}
