package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.CloudAccountTransferHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/29 18:20
 * @Description 云账户转账流水
 */
@Mapper
@Repository
public interface CloudAccountTransferHisDAO {

    /**
     * 保存
     *
     * @param hisDO
     * @return
     */
    int insert(CloudAccountTransferHisDO hisDO);

    /**
     * 根据订单id查询
     *
     * @param orderId
     * @return
     */
    CloudAccountTransferHisDO selectByOrderId(@Param("orderId") String orderId);

    /**
     * 更新状态
     *
     * @param orderId
     * @param payStatus
     * @param notifyStr
     * @param updateTime
     * @return
     */
    int updateResult(@Param("orderId") String orderId,
                     @Param("payStatus") Integer payStatus,
                     @Param("notifyStr") String notifyStr,
                     @Param("updateTime") Long updateTime);
}
