package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.CoinGoodsOrderDO;
import com.starbuds.server.common.pojo.finance.CoinGoodsOrderVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/30
 */
@Mapper
@Repository
public interface CoinGoodsOrderDAO {
    /**
     * 创建记录
     *
     * @param coinGoodsOrderDO
     * @return
     */
    int insert(CoinGoodsOrderDO coinGoodsOrderDO);

    /**
     * 查询列表
     *
     * @param pageCursor
     * @param pageSize
     * @param userId
     * @return
     */
    List<CoinGoodsOrderVO> selectAll(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("userId") Long userId);

    /**
     * 统计
     *
     * @param userId
     * @return
     */
    int count(@Param("userId") Long userId);
}
