package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.CoinRechargeItemDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * CoinRechargeItemDAO
 *
 * @author Lay
 * @date 2019/12/17
 */
@Mapper
@Repository
public interface CoinRechargeItemDAO {
    /**
     * 根据支付方式查询充值项目
     *
     * @param payWays
     * @return
     */
    List<CoinRechargeItemDO> selectItemsByPayWays(@Param("payWays") List<Integer> payWays);

    /**
     * 根据 id 统计
     *
     * @param itemId
     * @return
     */
    int countById(@Param("itemId") Long itemId);

    /**
     * 根据 id 查询充值项目
     *
     * @param itemId
     * @return
     */
    CoinRechargeItemDO selectById(@Param("itemId") Long itemId);
}
