package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.FamilyWalletDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/17
 */
@Mapper
@Repository
public interface FamilyWalletDAO {

    /**
     * 创建钱包
     *
     * @param familyWalletDO
     * @return
     */
    int insert(FamilyWalletDO familyWalletDO);

    /**
     * 根据 id 查询
     *
     * @param familyId
     * @return
     */
    FamilyWalletDO selectById(@Param("familyId") Long familyId);

    /**
     * CAS 更新余额
     *
     * @param familyId
     * @param balance
     * @param whereVersion
     * @return
     */
    int updateCas(@Param("familyId") Long familyId, @Param("balance") BigDecimal balance, @Param("whereVersion") Long whereVersion);
}
