package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.FamilyWalletHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/17
 */
@Mapper
@Repository
public interface FamilyWalletHisDAO {
    /**
     * 创建钱包变动记录
     *
     * @param familyWalletHisDO
     * @return
     */
    int insert(FamilyWalletHisDO familyWalletHisDO);

    /**
     * 查询钱包历史记录
     *
     * @param familyId
     * @param lastId
     * @param pageSize
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    List<FamilyWalletHisDO> selectAll(@Param("familyId") Long familyId,
                                      @Param("lastId") Long lastId,
                                      @Param("pageSize") int pageSize,
                                      @Param("isIncome") Integer isIncome,
                                      @Param("beginTime") Long beginTime,
                                      @Param("endTime") Long endTime);

    /**
     * 求和
     *
     * @param familyId
     * @param isIncome
     * @param beginTime
     * @param endTime
     * @return
     */
    BigDecimal sumByTypeAndTime(@Param("familyId") Long familyId, @Param("isIncome") Integer isIncome, @Param("beginTime") Long beginTime, @Param("endTime") Long endTime);
}
