package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.finance.GameCoinOrderDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 游戏币订单（存取） Mapper
 */
@Mapper
@Repository
public interface GameCoinOrderDAO {

    /**
     * 插入数据
     */
    int insert(GameCoinOrderDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<GameCoinOrderDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(GameCoinOrderDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    GameCoinOrderDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    GameCoinOrderDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<GameCoinOrderDO> selectPageList(QueryWrapper qw);

    /**
     * 获得游戏币订单状态
     *
     * @param orderId 订单id
     * @return
     */
    Integer selectStatus(@Param("orderId") Long orderId);

    /**
     * 转入在途总金额
     *
     * @param userId
     * @return
     */
    Long selectInOnWayTotal(@Param("userId") Long userId,
                            @Param("status") int status,
                            @Param("operate") int operate);
}