package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.LotteryGameUserJoinHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 抽奖活动-用户参与记录 Mapper
 */
@Mapper
@Repository
public interface LotteryGameUserJoinHisDAO {

    /**
     * 插入数据
     */
    int insert(LotteryGameUserJoinHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<LotteryGameUserJoinHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(LotteryGameUserJoinHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    LotteryGameUserJoinHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    List<LotteryGameUserJoinHisDO> selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<LotteryGameUserJoinHisDO> selectPageList(QueryWrapper qw);

    /**
     * 根据ids获得 DO Map
     *
     * @param ids id集合
     * @return Map<主键, DO对象>
     */
    @MapKey("hisId")
    Map<Long, LotteryGameUserJoinHisDO> selectMapByIds(@Param("ids") Collection ids);

}