package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.db.LotteryGameWinHisDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 抽奖游戏的中奖记录 Mapper
 */
@Mapper
@Repository
public interface LotteryGameWinHisDAO {

    /**
     * 插入数据
     */
    int insert(LotteryGameWinHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<LotteryGameWinHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(LotteryGameWinHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    LotteryGameWinHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    List<LotteryGameWinHisDO> selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<LotteryGameWinHisDO> selectPageList(QueryWrapper qw);

    /**
     * 根据ids获得 DO Map
     *
     * @param ids id集合
     * @return Map<主键, DO对象>
     */
    @MapKey("hisId")
    Map<Long, LotteryGameWinHisDO> selectMapByIds(@Param("ids") Collection ids);

    /**
     * 根据snapId查询抽奖游戏的中奖记录列表
     *
     * @param snapId
     * @return
     */
    @Select("SELECT userId,rewardId,rewardType,rewardNum " +
            "FROM tb_lottery_game_win_his " +
            "WHERE snapId = #{snapId} ")
    List<LotteryGameWinHisDO> selectListBySnapId(long snapId);
}