package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.SendGiftRewardFeedSnapshotDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 送礼物-打赏动态快照 Mapper
 */
@Mapper
@Repository
public interface SendGiftRewardFeedSnapshotDAO {

    /**
     * 插入数据
     */
    int insert(SendGiftRewardFeedSnapshotDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<SendGiftRewardFeedSnapshotDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(SendGiftRewardFeedSnapshotDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    SendGiftRewardFeedSnapshotDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    List<SendGiftRewardFeedSnapshotDO> selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<SendGiftRewardFeedSnapshotDO> selectPageList(QueryWrapper qw);

    /**
     * 根据ids获得 DO Map
     *
     * @param ids id集合
     * @return Map<主键, DO对象>
     */
    @MapKey("snapId")
    Map<Long, SendGiftRewardFeedSnapshotDO> selectMapByIds(@Param("ids") Collection ids);

}