package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.finance.ThirdPartyCallbackHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 第三方回调记录 Mapper
 */
@Mapper
@Repository
public interface ThirdPartyCallbackHisDAO {

    /**
     * 插入数据
     */
    int insert(ThirdPartyCallbackHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ThirdPartyCallbackHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ThirdPartyCallbackHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ThirdPartyCallbackHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ThirdPartyCallbackHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ThirdPartyCallbackHisDO> selectPageList(QueryWrapper qw);

}