package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.finance.ThirdPartyWithdrawHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 第三方提现记录 Mapper
 */
@Mapper
@Repository
public interface ThirdPartyWithdrawHisDAO {

    /**
     * 插入数据
     */
    int insert(ThirdPartyWithdrawHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ThirdPartyWithdrawHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ThirdPartyWithdrawHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ThirdPartyWithdrawHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ThirdPartyWithdrawHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ThirdPartyWithdrawHisDO> selectPageList(QueryWrapper qw);

}