package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.UserChatTimeWalletDO;
import com.starbuds.server.common.pojo.finance.ChatTimeWalletItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/6
 */
@Mapper
@Repository
public interface UserChatTimeWalletDAO {
    /**
     * 写入或增长
     *
     * @param userChatTimeWalletDO
     * @return
     */
    int insertOrIncrease(UserChatTimeWalletDO userChatTimeWalletDO);

    /**
     * 根据 id 查询
     *
     * @param userId
     * @param walletType
     * @param expireTime
     * @return
     */
    UserChatTimeWalletDO selectById(@Param("userId") Long userId, @Param("walletType") Integer walletType, @Param("expireTime") Long expireTime);

    /**
     * 根据版本号更新
     *
     * @param userChatTimeWallet
     * @param whereVersion
     * @return
     */
    int updateByVersion(@Param("userChatTimeWallet") UserChatTimeWalletDO userChatTimeWallet, @Param("whereVersion") long whereVersion);

    /**
     * 查询有效期内的数据
     *
     * @param userId
     * @param walletType
     * @param curTime
     * @return
     */
    List<UserChatTimeWalletDO> selectEffective(@Param("userId") Long userId, @Param("walletType") Integer walletType, @Param("curTime") Long curTime);

    /**
     * 查询有效期内的分钟数
     *
     * @param userId
     * @param walletType
     * @param curTime
     * @return
     */
    Integer sumEffectiveMinutes(@Param("userId") Long userId, @Param("walletType") Integer walletType, @Param("curTime") Long curTime);

    /**
     * 查询项目
     *
     * @param userId
     * @param walletType
     * @param curTime
     * @return
     */
    List<ChatTimeWalletItem> selectEffectiveItems(@Param("userId") Long userId, @Param("walletType") Integer walletType, @Param("curTime") Long curTime);
}
