package com.starbuds.server.service.finance.dao;

import com.starbuds.server.service.finance.pojo.db.UserSignContractDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface UserSignContractDAO {

    /**
     * 创建用户签约
     *
     * @param userSignContractDO
     * @return
     */
    int createUserSign(UserSignContractDO userSignContractDO);

    /**
     * 查询用户签约模型
     *
     * @param userId   用户ID
     * @param platfrom 签约平台
     * @param flagId   平台名下ID(一个平台下多个账号)
     * @return
     */
    UserSignContractDO selectUserSignRecord(@Param("userId") Long userId, @Param("platfrom") Integer platfrom, @Param("flagId") Long flagId);
}
