package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.UserVipDO;
import com.starbuds.server.common.pojo.user.UserCardVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/4
 */
@Mapper
@Repository
public interface UserVipDAO {
    /**
     * 创建或更新
     *
     * @param userVipDO
     * @return
     */
    int insertOrUpdate(UserVipDO userVipDO);

    /**
     * 根据 id 查询
     *
     * @param userId
     * @return
     */
    UserVipDO selectById(@Param("userId") Long userId);

    /**
     * 根据 id 统计
     *
     * @param userId
     * @return
     */
    int countById(@Param("userId") Long userId);

    /**
     * 查询最近开通的 vip
     *
     * @return
     */
    List<UserCardVO> selectLatest();
}
