package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.UserVirtualCoinAccountDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/13
 */
@Mapper
@Repository
public interface UserVirtualCoinAccountDAO {

    /**
     * 根据 id 查询
     *
     * @param userId
     * @param coinNet
     * @return
     */
    UserVirtualCoinAccountDO selectById(@Param("userId") Long userId, @Param("coinNet") String coinNet);

    /**
     * 创建账户
     *
     * @param userVirtualCoinAccountDO
     * @return
     */
    int insert(UserVirtualCoinAccountDO userVirtualCoinAccountDO);

    /**
     * 根据账户地址查询
     *
     * @param accountAddress
     * @return
     */
    UserVirtualCoinAccountDO selectByAccountAddress(@Param("accountAddress") String accountAddress);

    /**
     * 查询用户账户列表
     *
     * @param userId
     * @return
     */
    List<UserVirtualCoinAccountDO> selectByUserId(@Param("userId") Long userId);
}
