package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.UserVirtualCoinAccountHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/13
 */
@Mapper
@Repository
public interface UserVirtualCoinAccountHisDAO {
    /**
     * 插入记录
     *
     * @param userVirtualCoinAccountHisDO
     * @return
     */
    int insert(UserVirtualCoinAccountHisDO userVirtualCoinAccountHisDO);

    /**
     * 根据 id 查询
     *
     * @param hisId
     * @return
     */
    UserVirtualCoinAccountHisDO selectById(@Param("hisId") Long hisId);

    /**
     * 更新
     *
     * @param userVirtualCoinAccountHisDO
     * @return
     */
    int update(UserVirtualCoinAccountHisDO userVirtualCoinAccountHisDO);

    /**
     * 查询列表
     *
     * @param pageCursor
     * @param pageSize
     * @param userId
     * @param coinId
     * @param transType
     * @return
     */
    List<UserVirtualCoinAccountHisDO> selectAll(@Param("pageCursor") int pageCursor,
                                                @Param("pageSize") int pageSize,
                                                @Param("userId") Long userId,
                                                @Param("coinId") Integer coinId,
                                                @Param("transType") Integer transType);

    /**
     * 统计
     *
     * @param userId
     * @param coinId
     * @param transType
     * @return
     */
    int count(@Param("userId") Long userId, @Param("coinId") Integer coinId, @Param("transType") Integer transType);
}
