package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.UserWalletDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/17
 */
@Mapper
@Repository
public interface UserWalletDAO {

    /**
     * 创建钱包
     *
     * @param userWalletDO
     * @return
     */
    int insert(UserWalletDO userWalletDO);

    /**
     * 根据 id 查询
     *
     * @param walletId
     * @return
     */
    UserWalletDO selectById(@Param("walletId") String walletId);

    /**
     * CAS 更新余额
     *
     * @param walletId
     * @param balance
     * @param whereVersion
     * @return
     */
    int updateCas(@Param("walletId") String walletId, @Param("balance") Long balance, @Param("whereVersion") Long whereVersion);

    /**
     * 根据钱包 id 获取钱包
     *
     * @param walletIds
     * @return
     */
    List<UserWalletDO> selectByIds(List<String> walletIds);
}
