package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.UserWalletTransferHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/8/5
 */
@Mapper
@Repository
public interface UserWalletTransferHisDAO {
    /**
     * 创建记录
     *
     * @param userWalletTransferHisDO
     * @return
     */
    int insert(UserWalletTransferHisDO userWalletTransferHisDO);

    /**
     * 查询列表
     *
     * @param lastId
     * @param pageSize
     * @param userId
     * @param fromWalletType
     * @param destWalletType
     * @param startTime
     * @param endTime
     * @return
     */
    List<UserWalletTransferHisDO> selectAll(@Param("lastId") Long lastId,
                                            @Param("pageSize") int pageSize,
                                            @Param("userId") Long userId,
                                            @Param("fromWalletType") int fromWalletType,
                                            @Param("destWalletType") int destWalletType,
                                            @Param("startTime") long startTime,
                                            @Param("endTime") long endTime);
}
