package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.UserWalletWithdrawHisDO;
import com.starbuds.server.common.pojo.finance.UserWalletWithdrawHisVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/13
 */
@Mapper
@Repository
public interface UserWalletWithdrawHisDAO {
    /**
     * 创建提现记录
     *
     * @param userWalletWithdrawHisDO
     * @return
     */
    int insert(UserWalletWithdrawHisDO userWalletWithdrawHisDO);

    /**
     * 查询列表
     *
     * @param pageCursor
     * @param pageSize
     * @param walletId
     * @param applyStatus
     * @param beginTime
     * @param endTime
     * @return
     */
    List<UserWalletWithdrawHisVO> selectAll(@Param("pageCursor") int pageCursor,
                                            @Param("pageSize") int pageSize,
                                            @Param("walletId") String walletId,
                                            @Param("applyStatus") Integer applyStatus,
                                            @Param("beginTime") Long beginTime,
                                            @Param("endTime") Long endTime);

    /**
     * 统计列表
     *
     * @param walletId
     * @param applyStatus
     * @param beginTime
     * @param endTime
     * @return
     */
    int countAll(@Param("walletId") String walletId,
                 @Param("applyStatus") Integer applyStatus,
                 @Param("beginTime") Long beginTime,
                 @Param("endTime") Long endTime);

    /**
     * 根据 id 查询
     *
     * @param hisId
     * @return
     */
    UserWalletWithdrawHisDO selectById(@Param("hisId") Long hisId);

    /**
     * 更新状态
     *
     * @param userWalletWithdrawHisDO
     * @param whereApplyStatus
     * @return
     */
    int updateStatus(@Param("his") UserWalletWithdrawHisDO userWalletWithdrawHisDO, @Param("whereApplyStatus") Integer whereApplyStatus);
}
