package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.db.VirtualCoinDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/13
 */
@Mapper
@Repository
public interface VirtualCoinDAO {

    /**
     * 根据 id 查询
     *
     * @param coinId
     * @return
     */
    VirtualCoinDO selectById(@Param("coinId") Integer coinId);

    /**
     * 根据合约地址查询
     *
     * @param contractAddress
     * @return
     */
    VirtualCoinDO selectByContractAddress(@Param("contractAddress") String contractAddress);

    /**
     * 查询所有
     *
     * @return
     */
    List<VirtualCoinDO> selectAll();

    /**
     * 根据 id 统计
     *
     * @param coinId
     * @return
     */
    int countById(@Param("coinId") Integer coinId);

    /**
     * 根据主网统计
     *
     * @param coinNet
     * @return
     */
    int countByCoinNet(@Param("coinNet") String coinNet);
}
