package com.starbuds.server.service.finance.dao;

import com.starbuds.server.common.pojo.finance.WalletTransDustToPinkHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 星尘转粉钻记录 Mapper
 */
@Mapper
@Repository
public interface WalletTransDustToPinkHisDAO {

    /**
     * 插入数据
     */
    int insert(WalletTransDustToPinkHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<WalletTransDustToPinkHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(WalletTransDustToPinkHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    WalletTransDustToPinkHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    WalletTransDustToPinkHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<WalletTransDustToPinkHisDO> selectPageList(QueryWrapper qw);

}