package com.starbuds.server.service.finance.easyTax;

import com.starbuds.server.service.finance.easyTax.client.CloudAccountClient;
import com.starbuds.server.service.finance.easyTax.client.DefaultEasyTaxClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 易纳税
 */
@Configuration
@Slf4j
public class EasyTaxClientManage implements DisposableBean {


    private CloudAccountClient client;

    public EasyTaxClientManage(@Value("${easyTax.baseUrl}") String baseUrl,
                               @Value("${easyTax.dealerId}") String dealerId,
                               @Value("${easyTax.brokerId1}") String brokerId1,
                               @Value("${easyTax.brokerId2}") String brokerId2,
                               @Value("${easyTax.appKey}") String appKey,
                               @Value("${easyTax.securityKey}") String securityKey) {
        client = new DefaultEasyTaxClient(baseUrl, dealerId, brokerId1, brokerId2, appKey, securityKey);
    }

    @Override
    public void destroy() throws Exception {
        if (client != null) {
            client = null;
        }
    }

    public CloudAccountClient getClient() {
        return client;
    }
}
