package com.starbuds.server.service.finance.easyTax.request;

import cn.hutool.http.Method;
import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.service.finance.easyTax.constant.EasyTaxApi;
import com.starbuds.server.service.finance.easyTax.response.PaymentBankPayResponse;
import lombok.Data;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/25 10:49
 * @Description 银⾏卡实时下单
 */
@Data
public class PaymentBankPayRequest implements EasyTaxRequest<PaymentBankPayResponse> {

    /**
     * 商户代码
     */
    @JSONField(name = "dealer_id")
    private String dealerId;
    /**
     * 结算主体
     */
    @JSONField(name = "broker_id")
    private String brokerId;
    /**
     * 商户订单号 唯一
     */
    @JSONField(name = "dealer_order_no")
    private String dealerOrderNo;
    /**
     * 银⾏开户姓名
     */
    @JSONField(name = "real_name")
    private String realName;
    /**
     * 身份证类型  （身份证、护照）
     */
    @JSONField(name = "id_card_type")
    private String idCardType;
    /**
     * 证件号码
     */
    @JSONField(name = "id_card_no")
    private String idCardNo;
    /**
     * 收款人手机号  可为空
     */
    @JSONField(name = "phone_no")
    private String phoneNo;
    /**
     * 币种  固定取值 "CNY"
     */
    private String currency;
    /**
     * 银行卡号码
     */
    @JSONField(name = "bankcard_no")
    private String bankcardNo;
    /**
     * 交易金额  单位元，保留小数点两位
     */
    @JSONField(name = "trade_amount")
    private String tradeAmount;
    /**
     * 转账描述
     */
    @JSONField(name = "trade_remark")
    private String tradeRemark;
    /**
     * 回调地址  可为空
     */
    @JSONField(name = "notify_url")
    private String notifyUrl;

    private transient String apiUrl;

    private transient Method method;

    private transient Class<PaymentBankPayResponse> responseClass;


    @Override
    public String getApiUrl() {
        return EasyTaxApi.PAYMENT_BANK_PAY;
    }

    @Override
    public Method getMethod() {
        return Method.POST;
    }

    @Override
    public Class<PaymentBankPayResponse> getResponseClass() {
        return PaymentBankPayResponse.class;
    }

}
