package com.starbuds.server.service.finance.impl;

import com.starbuds.server.common.pojo.db.SendGiftRewardFeedSnapshotDO;
import com.starbuds.server.service.finance.provider.SendGiftRewardFeedSnapshotProvider;
import com.starbuds.server.common.pojo.finance.qo.SendGiftRewardFeedSnapshotPageListQO;

import com.starbuds.server.common.pojo.api.PageList;
import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;
import java.util.Map;

import com.starbuds.server.common.service.finance.SendGiftRewardFeedSnapshotService;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.dubbo.config.annotation.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 送礼物-打赏动态快照
 */
@Service(version = "1.0.0")
@Slf4j
public class SendGiftRewardFeedSnapshotServiceImpl implements SendGiftRewardFeedSnapshotService {

    @Resource
    private SendGiftRewardFeedSnapshotProvider sendGiftRewardFeedSnapshotProvider;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public SendGiftRewardFeedSnapshotDO create(SendGiftRewardFeedSnapshotDO po) {
        return sendGiftRewardFeedSnapshotProvider.create(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean createBatch(List<SendGiftRewardFeedSnapshotDO> list) {
        return sendGiftRewardFeedSnapshotProvider.createBatch(list);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean createOrUpdate(SendGiftRewardFeedSnapshotDO po) {
        return sendGiftRewardFeedSnapshotProvider.createOrUpdate(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean updateById(SendGiftRewardFeedSnapshotDO po) {
        return sendGiftRewardFeedSnapshotProvider.updateById(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean update(UpdateWrapper uw) {
        return sendGiftRewardFeedSnapshotProvider.update(uw);
    }

    @Override
    public SendGiftRewardFeedSnapshotDO getById(Long id) {
        return sendGiftRewardFeedSnapshotProvider.getById(id);
    }

    @Override
    public boolean exist(Long id) {
        return sendGiftRewardFeedSnapshotProvider.exist(id);
    }

    @Override
    public PageList<SendGiftRewardFeedSnapshotDO> getPageList(SendGiftRewardFeedSnapshotPageListQO qo) {
        return sendGiftRewardFeedSnapshotProvider.getPageList(qo);
    }

    @Override
    public Map<Long, SendGiftRewardFeedSnapshotDO> getMapByIds(Collection ids) {
        return sendGiftRewardFeedSnapshotProvider.getMapByIds(ids);
    }

    // 手动编码开始

}