package com.starbuds.server.service.finance.impl.lottery;

import cn.hutool.core.lang.WeightRandom;
import cn.hutool.core.util.RandomUtil;
import com.starbuds.server.common.constant.common.BoolIntVal;
import com.starbuds.server.common.pojo.activity.vo.LotteryGameSummary;

import java.util.ArrayList;
import java.util.List;

/**
 * @author laoliu
 * @date 2021/11/25 16:51
 * @description 根据概率判断是否中奖, 良心, 无黑幕
 */
public class LotteryGameStrategyRandomByRateImpl implements LotteryGameStrategy {

    /**
     * 获取抽奖结果
     */
    @Override
    public boolean getResult(LotteryGameSummary summary) {
        return getLotteryResultByWeight(summary.getClickRate().doubleValue());
    }

    /**
     * 通过概率获取是否中奖
     *
     * @param rate
     * @return
     */
    public boolean getLotteryResultByWeight(Double rate) {
        List<WeightRandom.WeightObj<Integer>> weightList = new ArrayList<>();
        WeightRandom.WeightObj<Integer> success = new WeightRandom.WeightObj<>(BoolIntVal.True, rate);
        WeightRandom.WeightObj<Integer> fail = new WeightRandom.WeightObj<>(BoolIntVal.False, 1 - rate);
        weightList.add(success);
        weightList.add(fail);
        return RandomUtil.weightRandom(weightList).next() == BoolIntVal.True;
    }
}
