package com.starbuds.server.service.finance.pojo;

import lombok.Builder;
import lombok.Data;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/16
 */
@Data
@Builder
public class HuaweiPayArgs {
    /**
     * 应用ID，在创建应用后由华为开发者联盟为应用分配的唯一标识
     */
    private String appId;

    /**
     * 待支付的商品ID
     */
    private String productNo;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 商户对商品的自定义描述
     */
    private String productDesc;

    /**
     * 户侧的支付订单号，用于唯一标识一次支付请求。
     * 支付订单号由开发者自行生成，需由字母和数字组成，不能包含特殊字符，包括# " & / ? $ ^ *:) \ < > , | .并且不支持中文。
     * 支付订单号每次支付请求需唯一，即使订单被取消或支付失败订单号也不可重复。
     * 华为支付服务器在接口回调结果中会原样返回requestId的值。
     */
    private String requestId;

    /**
     * 商户ID，即华为开发者联盟给开发者分配的“支付ID”。
     */
    private String merchantId;

    /**
     * 商户名称，配置为注册开发者时配置的公司名。
     */
    private String merchantName;

    /**
     * 支付金额
     */
    private String amount;

    /**
     * 支付配置 id
     */
    private Long configId;

    /**
     * 私钥
     */
    private String privateKey;
}
