package com.starbuds.server.service.finance.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;

/**
 * 财鱼用户签约合同
 */
@Data
public class CaiyuContractPageListQO extends PageQO implements Serializable {

    /**
     * 主键
     */
    @QueryTag
    private Long caiyuContractId;

    /**
     * 用户id
     */
    @QueryTag
    private Long userId;

    /**
     * 合同链接
     */
    @QueryTag
    private String contractUrl;

    /**
     * 回调原始数据
     */
    @QueryTag
    private String detail;

    /**
     * 创建时间
     */
    @QueryTag
    private Long createTime;

    /**
     * 更新时间
     */
    @QueryTag
    private Long updateTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    private Long endTime;
}