package com.starbuds.server.service.finance.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;

/**
 * 游戏币订单（存取）
 */
@Data
public class GameCoinOrderPageListQO extends PageQO implements Serializable {

    /**
     * 订单id
     */
    @QueryTag
    private Long orderId;

    /**
     * 用户id
     */
    @QueryTag
    private Long userId;

    /**
     * 平台代码
     */
    @QueryTag
    private String platform;

    /**
     * 操作（转入/转出）
     */
    @QueryTag
    private Integer operate;

    /**
     * 游戏币数量
     */
    @QueryTag
    private Long coin;

    /**
     * 处理状态
     */
    @QueryTag
    private Integer status;

    /**
     * 更新版本号
     */
    @QueryTag
    private Integer version;

    /**
     * 创建时间
     */
    @QueryTag
    private Long createTime;

    /**
     * 更新时间
     */
    @QueryTag
    private Long updateTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    private Long endTime;
}