package com.starbuds.server.service.finance.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;

/**
 * 第三方回调记录
 */
@Data
public class ThirdPartyCallbackHisPageListQO extends PageQO implements Serializable {

    /**
     * 主键
     */
    @QueryTag
    private Long hisId;

    /**
     * 公司id
     */
    @QueryTag
    private Integer companyId;

    /**
     * 业务类型
     */
    @QueryTag
    private Integer businessType;

    /**
     * 搜索关键词（由具体业务选择）
     */
    @QueryTag
    private String keyword;

    /**
     * 关键词说明
     */
    @QueryTag
    private String keywordDesc;

    /**
     * 回调详情
     */
    @QueryTag
    private String detail;

    /**
     * 创建时间
     */
    @QueryTag
    private Long createTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    private Long endTime;
}