package com.starbuds.server.service.finance.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;

import java.math.BigDecimal;

import java.io.Serializable;

/**
 * 第三方提现记录
 */
@Data
public class ThirdPartyWithdrawHisPageListQO extends PageQO implements Serializable {

    /**
     *
     */
    @QueryTag
    private Long hisId;

    /**
     * 用户钱包提现记录id
     */
    @QueryTag
    private Long userWalletWithdrawHisId;

    /**
     * 第三方公司id
     */
    @QueryTag
    private Integer companyId;

    /**
     * 用户id
     */
    @QueryTag
    private Long userId;

    /**
     * 用户收款账号
     */
    @QueryTag
    private String receivingAccount;

    /**
     * 用户收款账号类型
     */
    @QueryTag
    private Integer accountType;

    /**
     * 提现金额（单位：元）
     */
    @QueryTag
    private BigDecimal amount;

    /**
     * 提现备注
     */
    @QueryTag
    private String remark;

    /**
     * 提现请求链接地址
     */
    @QueryTag
    private String requestUrl;

    /**
     * 提现请求发送数据
     */
    @QueryTag
    private String requestData;

    /**
     * 请求次数
     */
    @QueryTag
    private Integer requestTimes;

    /**
     * 提现请求返回数据
     */
    @QueryTag
    private String responseData;

    /**
     * 提现请求返回结果是否成功
     */
    @QueryTag
    private Integer responseIsSuccess;

    /**
     * 提现请求返回错误摘要信息
     */
    @QueryTag
    private String responseErrMsg;

    /**
     * 提现请求花费时间
     */
    @QueryTag
    private Integer spendTime;

    /**
     * 回调数据
     */
    @QueryTag
    private String callbackData;

    /**
     * 第三方id
     */
    @QueryTag
    private String outId;

    /**
     * 回调消息摘要
     */
    @QueryTag
    private String callbackMsg;

    /**
     * 提现状态
     */
    @QueryTag
    private Integer withdrawStatus;

    /**
     * 创建时间
     */
    @QueryTag
    private Long createTime;

    /**
     * 更新时间
     */
    @QueryTag
    private Long updateTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    private Long endTime;
}