package com.starbuds.server.service.finance.provider;

import com.starbuds.server.common.constant.media.SendGiftTypeEnum;
import com.starbuds.server.common.pojo.finance.gift.SendGiftByFinanceAbstract;
import com.starbuds.server.service.finance.provider.gift.GiftExecute;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.server.common.constant.media.SendGiftTypeEnum.*;

/**
 * 礼物服务
 *
 * @author aoe
 * @date 2020/12/17
 */
@Component
@Slf4j
public class GiftProvider {

    private Map<SendGiftTypeEnum, GiftExecute> providerMap;

    @Resource
    private GiftExecute sendGiftRtcUnderMaiExecute;

    @Resource
    private GiftExecute sendGiftPrivateChatExecute;

    @Resource
    private GiftExecute sendGiftRewardFeedExecute;

    @PostConstruct
    private void init() {
        providerMap = new HashMap<>();
        // 语音房麦下送礼物
        providerMap.put(RTC_UNDER_MAI, sendGiftRtcUnderMaiExecute);
        // 私聊消息中送礼物
        providerMap.put(PRIVATE_CHAT, sendGiftPrivateChatExecute);
        // 打赏动态送礼物
        providerMap.put(REWARD_FEED, sendGiftRewardFeedExecute);
    }

    public GiftExecute giftProvider(SendGiftByFinanceAbstract sendGift) {
        return providerMap.get(sendGift.getSendGiftType());
    }
}
