package com.starbuds.server.service.finance.provider.lottery;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.db.LotteryGameUserJoinHisDO;
import com.starbuds.server.service.finance.dao.LotteryGameUserJoinHisDAO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * 抽奖活动-用户参与记录
 *
 * @author aoe
 * @date 2021/12/8
 */
@Slf4j
@Component
public class LotteryGameUserJoinHisProvider {

    @Resource
    private LotteryGameUserJoinHisDAO lotteryGameUserJoinHisDAO;

    @Transactional(rollbackFor = Exception.class)
    public LotteryGameUserJoinHisDO create(LotteryGameUserJoinHisDO po) {
        po.setCreateTime(System.currentTimeMillis());
        boolean flag = lotteryGameUserJoinHisDAO.insert(po) == 1;

        String json = JSON.toJSONString(po);
        if (flag) {
            log.info("抽奖活动-用户参与记录创建成功 {}", json);
            return po;
        }
        log.warn("抽奖活动-用户参与记录创建失败 {}", json);
        return null;
    }

    /**
     * 插入批量数据
     */
    @Transactional(rollbackFor = Exception.class)
    public boolean createBatch(List<LotteryGameUserJoinHisDO> list) {
        boolean flag = lotteryGameUserJoinHisDAO.insertBatch(list) > 0;
        return flag;
    }

    public int getCount(long userId, long snapId) {
        QueryWrapper qw = new QueryWrapper();
        qw.eq("userId", userId);
        qw.eq("snapId", snapId);
        return lotteryGameUserJoinHisDAO.selectCount(qw);
    }
}
