package com.starbuds.server.service.finance.provider.ratio;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.math.BigDecimal;

/**
 * 用户礼物收益比率
 *
 * @author aoe
 * @date 2021/11/27
 */
@Component
@Slf4j
public class UserGiftRatioProvider {

    @Value("${gift.noFamilyUserRatio}")
    private double giftNoFamilyUserRatioDouble;

    private BigDecimal giftNoFamilyUserRatio;

    @PostConstruct
    private void init() {
        giftNoFamilyUserRatio = BigDecimal.valueOf(giftNoFamilyUserRatioDouble);
    }

    /**
     * 用户默认礼物收益比率
     *
     * @return
     */
    public final BigDecimal giftNoFamilyUserRatio() {
        return giftNoFamilyUserRatio;
    }
}
