package com.starbuds.server.service.finance.impl.lottery.tools;

import com.starbuds.server.common.constant.cache.RedisActivityKeys;
import com.starbuds.server.common.service.core.CacheService;
import lombok.Builder;
import org.apache.commons.lang3.math.NumberUtils;

import java.util.concurrent.TimeUnit;

/**
 * 抽奖游戏缓存
 *
 * @author aoe
 * @date 2021/12/8
 */
@Builder
public class LotteryGameCache {

    private CacheService cacheService;

    /**
     * 初始化奖项总数量
     *
     * @param snapId
     * @param quantity
     */
    @Deprecated
    public void initRewardCount(long snapId, int quantity) {
        cacheService.set(RedisActivityKeys.getLotteryGameRewardCount(snapId), "" + quantity, 6, TimeUnit.HOURS);
    }

    /**
     * 清空奖项总数量
     *
     * @param snapId
     * @return
     */
    @Deprecated
    public boolean clearRewardCount(long snapId) {
        return cacheService.delKey(RedisActivityKeys.getLotteryGameRewardCount(snapId));
    }

    /**
     * 获得奖项总数量
     *
     * @param snapId
     * @return
     */
    @Deprecated
    public int getRewardCount(long snapId) {
        return NumberUtils.toInt(cacheService.get(RedisActivityKeys.getLotteryGameRewardCount(snapId)));
    }
}
