package com.starbuds.server.service.finance.impl.lottery.tools;

import com.starbuds.server.common.constant.activity.LotteryGameCostTypeEnum;
import com.starbuds.server.common.constant.activity.LotteryGamePlayTypeEnum;
import com.starbuds.server.common.pojo.finance.params.SaveLotteryGameQualificationParam;

/**
 * @author aoe
 * @date 2021/12/8
 */
public class LotteryGameQualificationParamTool {

    /**
     * 红包雨参与资格
     *
     * @param snapId
     * @param userId
     * @param roomId
     * @return
     */
    public SaveLotteryGameQualificationParam getRedBagParam(long snapId, long userId, long roomId) {
        return SaveLotteryGameQualificationParam.builder()
                .userId(userId)
                .snapId(snapId)
                .lotteryGamePlayType(LotteryGamePlayTypeEnum.RED_BAG)
                .costType(LotteryGameCostTypeEnum.NONE)
                .roomId(roomId)
                .clickRate(1D)
                .build();
    }

    public SaveLotteryGameQualificationParam getDivideCakeParam(long snapId, long userId, long roomId,
                                                                long costItemId, int costQuantity) {
        return SaveLotteryGameQualificationParam.builder()
                .userId(userId)
                .snapId(snapId)
                .lotteryGamePlayType(LotteryGamePlayTypeEnum.DIVIDE_CAKE)
                .costType(LotteryGameCostTypeEnum.PROPS)
                .costItemId(costItemId)
                .costQuantity(costQuantity)
                .roomId(roomId)
                .clickRate(1D)
                .build();
    }
}
