package com.starbuds.server.service.finance.provider.lottery;

import com.google.common.collect.ImmutableList;
import com.starbuds.server.common.constant.activity.LotteryGamePlayTypeEnum;
import com.starbuds.server.common.constant.activity.LotteryGameRewardTypeEnum;
import com.starbuds.server.service.finance.pojo.bo.lottery.LotteryGameAwardItemBO;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import test.BaseTest;

import javax.annotation.Resource;

import java.util.List;
import java.util.stream.Collectors;

class LotteryGameAwardGiftTest extends BaseTest {

    @Resource(name = "lotteryGameAwardGiftProvider")
    private LotteryGameAward lotteryGameAward;

    @Test
    void awardItems() {
        List<Long> itemIds = ImmutableList.of(475301784059904L);
        List<LotteryGameAwardItemBO> items = itemIds.stream()
                .map(itemId -> {
                    LotteryGameAwardItemBO item = new LotteryGameAwardItemBO();
                    item.setUserId(141075591200768L);
                    item.setRewardId(itemId);
                    item.setRewardType(LotteryGameRewardTypeEnum.GIFT.getValue());
                    item.setRewardName("兔子svga");
                    item.setRewardNum(1);
                    item.setOrderId(System.currentTimeMillis());
                    return item;
                }).collect(Collectors.toList());
        int awardCount = lotteryGameAward.awardItems(items, LotteryGamePlayTypeEnum.RED_BAG);
        Assertions.assertEquals(itemIds.size(), awardCount);
    }
}