package com.starbuds.server.service.finance.provider.ratio;

import com.starbuds.server.common.pojo.rtc.bo.RtcRoomRatio;
import com.starbuds.server.common.service.rtc.RtcRoomService;
import com.starbuds.server.common.utils.LogUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import test.BaseTest;

import javax.annotation.Resource;
import java.math.BigDecimal;

@Slf4j
public class RtcRatioProviderTest extends BaseTest {

    @Resource
    private RtcRatioProvider rtcRatioProvider;

    @Reference(version = "1.0.0")
    private RtcRoomService rtcRoomService;

    // 个播房
    private Long ROOM_ID_SINGLE = 514329178800130L;

    // 个播房用户收益率
    @Test
    void getSingleUserRatio() {
        RtcRoomRatio rtcRoomRatio = rtcRoomService.getRtcRoomRatio(ROOM_ID_SINGLE);
        Long userFamilyId = 306323048628224L;
        BigDecimal ratio = rtcRatioProvider.getUserRatio(userFamilyId, rtcRoomRatio);
        Assertions.assertEquals(new BigDecimal("0.5"), ratio);
    }

    // 个播房家族收益率
    @Test
    void getSingleFamilyRatio() {
        RtcRoomRatio rtcRoomRatio = rtcRoomService.getRtcRoomRatio(ROOM_ID_SINGLE);
        BigDecimal ratio = rtcRatioProvider.getFamilyRatio(rtcRoomRatio);
        Assertions.assertEquals(new BigDecimal("0.1"), ratio);
    }

}